Name:           python-gnupg
Version:        0.3.8
%define subrel	1
Release:        %mkrel 2
Summary:        Python module for GnuPG
Group:          Development/Python
License:        BSD
URL:            http://pythonhosted.org/python-gnupg/
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Patch0:		python-gnupg-CVE-2018-12020.patch
BuildArch:      noarch
BuildRequires:  python-devel
Requires:       gnupg

%description
GnuPG bindings for Python. This uses the gpg command.

%package -n python3-gnupg
Summary:        Python3 module for GnuPG
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       gnupg

%description -n python3-gnupg
GnuPG bindings for Python3. This uses the gpg command.

%prep
%setup -q
%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
%py2_install

pushd %{py3dir} 
%py3_install
popd


%files
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/gnupg.py*
%{python2_sitelib}/python_gnupg-%{version}-py?.?.egg-info


%files -n python3-gnupg
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/gnupg.py
%{python3_sitelib}/python_gnupg-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/gnupg.cpython-3?.py?
%{python3_sitelib}/__pycache__/gnupg.cpython-3?.opt-1.py?



%changelog
* Sun Jun 17 2018 wally <wally> 0.3.8-2.1.mga6
  (not released yet)
+ Revision: 1237372
- add patch to migitate against CVE-2018-12020 (mga#23162)

* Sat Feb 20 2016 umeabot <umeabot> 0.3.8-2.mga6
+ Revision: 972138
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 0.3.8-1.mga6
+ Revision: 896104
- update to 0.3.8

* Sat Oct 10 2015 tv <tv> 0.3.6-5.mga6
+ Revision: 888804
- adjust file list
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.3.6-4.mga5
+ Revision: 738850
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.6-3.mga5
+ Revision: 728585
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.6-2.mga5
+ Revision: 688056
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 philippem <philippem> 0.3.6-1.mga5
+ Revision: 671491
- imported package python-gnupg

